edu.sc.seis.sod.validator.example

## Class ExampleValidator

- java.lang.Object
- - edu.sc.seis.sod.validator.example.ExampleValidator

-     public class ExampleValidator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleValidator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getPercentage(double total, double actual)`
    `static java.lang.String` | `insertLineNumbers(java.lang.String input)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `printExamples(java.lang.String prefix, java.lang.String[] examples)`
    `static void` | `validate(java.lang.String exampleContainingSchemaLoc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleValidator

          public ExampleValidator()

  - ### Method Detail

    - #### validate

          public static void validate(java.lang.String exampleContainingSchemaLoc)
                               throws java.io.IOException,
                                      javax.xml.stream.XMLStreamException

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### getPercentage

          public static java.lang.String getPercentage(double total,
                                                       double actual)

    - #### printExamples

          public static void printExamples(java.lang.String prefix,
                                           java.lang.String[] examples)

    - #### insertLineNumbers

          public static java.lang.String insertLineNumbers(java.lang.String input)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException,
                                  javax.xml.stream.XMLStreamException

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`